Last Comment Bug 523809 - crash while moving messages [@nsMsgDBView::GetThreadRootIndex(nsIMsgDBHdr*) ]
: crash while moving messages [@nsMsgDBView::GetThreadRootIndex(nsIMsgDBHdr*) ]
Status: RESOLVED FIXED
: crash, fixed-seamonkey2.0.1
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: 1.9.1 Branch
: x86 Windows XP
: -- critical (vote)
: Thunderbird 3.0rc1
Assigned To: Kent James (:rkent)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 05:01 PDT by Wayne Mery (:wsmwk, NI for questions)
Modified: 2011-06-09 14:58 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Rev a: check for null header (2.09 KB, patch)
2009-10-22 09:31 PDT, Kent James (:rkent)
mozilla: review+
mozilla: superreview+
Details | Diff | Review
Rev b: add NS_WARNING (2.14 KB, patch)
2009-10-22 11:26 PDT, Kent James (:rkent)
standard8: approval‑thunderbird3+
Details | Diff | Review

Description Wayne Mery (:wsmwk, NI for questions) 2009-10-22 05:01:14 PDT
crash while moving messages [@nsMsgDBView::GetThreadRootIndex(nsIMsgDBHdr*) ]
#44 crash for 3.0b4

I don't have clear set of steps. I was in the midst of moving messages by drag and drop, ctrl+shift+M and also via context menu. A couple new subfolders was created minutes before, in local account.

my crash comment "One is gloda search stuck on "Searching"" documents that one tab (left running overnight) is a stuck gloda search. That search never returned results. No loop afaict. Might file separate bug on that.

bsmedberg also crashed http://crash-stats.mozilla.com/report/index/6fd356a1-ae5d-4cee-a132-23ffe2091014

bp-f0e6233f-657f-4956-96b9-66abe2091022
0	thunderbird.exe	nsMsgDBView::GetThreadRootIndex	 mailnews/base/src/nsMsgDBView.cpp:5337
1	thunderbird.exe	nsMsgSearchDBView::AddHdrFromFolder	mailnews/base/src/nsMsgSearchDBView.cpp:467
2	thunderbird.exe	nsMsgSearchDBView::InsertHdrFromFolder	mailnews/base/src/nsMsgSearchDBView.cpp:667
3	thunderbird.exe	nsMsgSearchDBView::OnSearchHit	mailnews/base/src/nsMsgSearchDBView.cpp:699
4	xpcom_core.dll	NS_InvokeByIndex_P	xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp:101
5	thunderbird.exe	XPCWrappedNative::CallMethod	js/src/xpconnect/src/xpcwrappednative.cpp:2297
6	thunderbird.exe	XPC_WN_CallMethod	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1590
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2009-10-22 05:03:48 PDT
forgot to say, this is not a new crash. appears in both 3.0b1 and b2.  My crash is the only one ever reported as a nightly.
Comment 2 Kent James (:rkent) 2009-10-22 09:31:48 PDT
Created attachment 407780 [details] [diff] [review]
Rev a: check for null header
Comment 3 David :Bienvenu 2009-10-22 10:35:09 PDT
Comment on attachment 407780 [details] [diff] [review]
Rev a: check for null header

looks reasonable, thx. A warning or even an assertion in ::GetThreadRootIndex might be nice, since that should be highly unexpected.
Comment 4 Kent James (:rkent) 2009-10-22 11:26:56 PDT
Created attachment 407806 [details] [diff] [review]
Rev b: add NS_WARNING

Added the requested warning, now need approval for TB3 (for checkin once tree reopens).
Comment 5 Mark Banner (:standard8) 2009-10-24 07:35:31 PDT
Comment on attachment 407806 [details] [diff] [review]
Rev b: add NS_WARNING

Please check into trunk and branch.
Comment 6 Kent James (:rkent) 2009-10-26 08:54:02 PDT
Comment on attachment 407806 [details] [diff] [review]
Rev b: add NS_WARNING

Checked into trunk http://hg.mozilla.org/comm-central/rev/b3c316ffedb3
Comment 7 Kent James (:rkent) 2009-10-26 09:04:15 PDT
Comment on attachment 407806 [details] [diff] [review]
Rev b: add NS_WARNING

Checked into branch as http://hg.mozilla.org/releases/comm-1.9.1/rev/6cc118c9d633

Note You need to log in before you can comment on or make changes to this bug.